#include <stdio.h>
#include <math.h>

#define EPS 1e-13

int N,i,j,k,n,m;
double u[100], v[100], w[100], mina, minb, maxa, maxb, r;
double A[101][4];
int basis[101], out[4];

double solve(){
   int i,j,k,ii,jj; 

   for (i=0;i<=m;i++) basis[i] = -i;
   for (j=0;j<=n;j++) out[j] = j;

   for(;;){
      for (i=ii=1;i<=m;i++) {
         if (A[i][n]<A[ii][n] || A[i][n]==A[ii][n] && basis[i]<basis[ii]) ii=i;
      }
      if (A[ii][n] >= -EPS) break;
      for (j=jj=0;j<n;j++) 
         if (A[ii][j]<A[ii][jj] || A[ii][j]==A[ii][jj] && out[i]<out[j]) jj=j;
      if (A[ii][jj] >= -EPS) return 0;
      pivot(m,n,ii,jj);
   }
   return 1;
}
   
pivot(int m, int n, int a, int b){
   int i,j;
   for (i=0;i<=m;i++) if (i!=a) for (j=0;j<=n;j++) if (j!=b) {
      A[i][j] -= A[a][j] * A[i][b] / A[a][b];
   }
   for (j=0;j<=n;j++) if (j!=b) A[a][j] /= A[a][b];
   for (i=0;i<=m;i++) if (i!=a) A[i][b] = -A[i][b]/A[a][b];
   A[a][b] = 1/A[a][b];
   i = basis[a];
   basis[a] = out[b];
   out[b] = i;
}


main(){
   scanf("%d",&N);
   for (i=0;i<N;i++) {
      scanf("%lf%lf%lf",&u[i],&v[i],&w[i]);
      v[i] = 1/v[i]; u[i] = 1/u[i]; w[i] = 1/w[i];
   }
   for (i=0;i<N;i++){
      double r,s;
      n = 3;
      m = 0;
      for (j=0;j<N;j++){
         if (i==j) continue;
         A[++m][0] = u[i]-u[j];
         A[m][1] = v[i]-v[j];
         A[m][2] = w[i]-w[j];
         A[m][n] = -1e-11;
      }
      A[++m][0] = 1;
      A[m][1] = 0;
      A[m][2] = 0;
      A[m][3] = 1;
      A[++m][0] = -1;
      A[m][1] = 0;
      A[m][2] = 0;
      A[m][3] = -1;
      if (solve()) printf("Yes\n"); else printf("No\n");
   }
}
